   function init() {

       var sugerencia = $('.sugerencia');
       var pagekey = $('[data-sg-id="item-page"]:visible').data('sgKey');
       if (pagekey != 1 || pagekey != 4) {
           $(sugerencia).html('Hacer clic <img src="img/click/click_guide4.png" class="imgSugerencia" /> para ver la respuesta');
       } else {
           $(sugerencia).html('');
       }

       $('.circulo, .campoOculto').one('click', function () {
           $(this).css({
               'cursor': 'default'
           });
           sg.fadeOut($(this).children('.clickCirculo, .clickCampoOculto'));
           sg.fadeIn($(this).children('.numero, .respuesta'));
           sg.sound('success-low');
       });



       //Array de estados Preguntas
       var P1_1 = [false, false, false];
       var P1_2 = [false, false];
       var P1_3 = [false, false, false, false];

       var P2_1 = [false, false, false];
       var P2_2 = [false, false, false, false];
       var P2_3 = [false, false, false, false, false, false, false, false, false, false, false];

       var P3_1 = [false, false, false, false];
       var P3_2 = [false, false, false];
       var P3_3 = [false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false];

       //valida Inputs
       $('.input').change(function (event) {

           switch (this.id) {

               //INICIO PROBLEMAS 1
           case 'inputUno':
               var input = document.getElementById('inputUno');
               input.value = input.value.toLowerCase();
               if (input.value === 'número' || input.value === 'numero') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P1_1[0] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
               }
               break;
           case 'inputDos':
               var input = document.getElementById('inputDos');
               input.value = input.value.toLowerCase();
               if (input.value === 'incognita' || input.value === 'incógnita') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'

                   });
                   P1_1[1] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P1_1[1] = false;
               }
               break;

           case 'inputTres':
               var input = document.getElementById('inputTres');
               input.value = input.value.toLowerCase();
               if (input.value === '3n') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P1_1[2] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P1_1[2] = false;
               }
               break;
           case 'inputCuatro':
               var input = document.getElementById('inputCuatro');
               input.value = input.value.toLowerCase();
               if (input.value === 'n') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P1_2[0] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P1_2[0] = false;
               }
               break;
           case 'inputCinco':
               var input = document.getElementById('inputCinco');
               input.value = input.value.toLowerCase();
               if (input.value === '28') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P1_2[1] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P1_2[1] = false;
               }
               break;

           case 'inputSeis':
               var input = document.getElementById('inputSeis');
               input.value = input.value.toLowerCase();
               if (input.value === 'n') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P1_3[0] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
               }
               break;

           case 'inputSiete':
               var input = document.getElementById('inputSiete');
               input.value = input.value.toLowerCase();
               if (input.value === '28') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P1_3[1] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P1_3[1] = false;
               }
               break;
           case 'inputOcho':
               var input = document.getElementById('inputOcho');
               input.value = input.value.toLowerCase();
               if (input.value === '4') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P1_3[2] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P1_3[2] = false;
               }
               break;

           case 'inputNueve':
               var input = document.getElementById('inputNueve');
               input.value = input.value.toLowerCase();
               if (input.value === '7') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P1_3[3] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P1_3[3] = false;
               }
               break;
               //FIN PROBLEMAS 1
               //INICIO PROBLEMA 2    
           case 'inputDiez':
               var input = document.getElementById('inputDiez');
               input.value = input.value.toLowerCase();
               if (input.value === 'juan') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_1[0] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_1[0] = false;
               }
               break;
           case 'inputOnce':
               var input = document.getElementById('inputOnce');
               input.value = input.value.toLowerCase();
               if (input.value === 'incognita' || input.value === 'incógnita') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_1[1] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_1[1] = false;
               }
               break;
           case 'inputDoce':
               var input = document.getElementById('inputDoce');
               input.value = input.value.toLowerCase();
               if (input.value === 'ovejas') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_1[2] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_1[2] = false;
               }
               break;
           case 'inputTrece':
               var input = document.getElementById('inputTrece');
               input.value = input.value.toLowerCase();
               if (input.value === 'veces') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_2[0] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_2[0] = false;
               }
               break;
           case 'inputCatorce':
               var input = document.getElementById('inputCatorce');
               input.value = input.value.toLowerCase();
               if (input.value === 'ovejas') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_2[1] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_2[1] = false;
               }
               break;
           case 'inputCatorceQuince':
               var input = document.getElementById('inputCatorceQuince');
               input.value = input.value.toLowerCase();
               if (input.value === 'ovejas') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_2[2] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_2[2] = false;
               }

           case 'inputQuince':
               var input = document.getElementById('inputQuince');
               input.value = input.value.toLowerCase();
               if (input.value === '2') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_2[3] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_2[3] = false;
               }
               break;
           case 'inputDieciseis':
               var input = document.getElementById('inputDieciseis');
               input.value = input.value.toLowerCase();
               if (input.value === '2') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[0] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[0] = false;
               }
               break;

           case 'inputDiecisiete':
               var input = document.getElementById('inputDiecisiete');
               input.value = input.value.toLowerCase();
               if (input.value === '4x' || input.value === '4X') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[1] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[1] = false;
               }
               break;
           case 'inputDieciocho':
               var input = document.getElementById('inputDieciocho');
               input.value = input.value.toLowerCase();
               if (input.value === '4') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[2] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[2] = false;
               }
               break;
           case 'inputDieciNueve':
               var input = document.getElementById('inputDieciNueve');
               input.value = input.value.toLowerCase();
               if (input.value === '2') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[3] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[3] = false;
               }
               break;
           case 'inputVeinte':
               var input = document.getElementById('inputVeinte');
               input.value = input.value.toLowerCase();
               if (input.value === '3x') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[4] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[4] = false;
               }
               break;
           case 'inputVeintiuno':
               var input = document.getElementById('inputVeintiuno');
               input.value = input.value.toLowerCase();
               if (input.value === '4') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[5] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[5] = false;
               }
               break;
           case 'inputVeintidos':
               var input = document.getElementById('inputVeintidos');
               input.value = input.value.toLowerCase();
               if (input.value === '0') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[6] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[6] = false;
               }
               break;
           case 'inputVeintitres':
               var input = document.getElementById('inputVeintitres');
               input.value = input.value.toLowerCase();
               if (input.value === '6') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[7] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[7] = false;
               }
               break;
           case 'inputveinticuatro':
               var input = document.getElementById('inputveinticuatro');
               input.value = input.value.toLowerCase();
               if (input.value === '6') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[8] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[8] = false;
               }
               break;
           case 'inputveinticinco':
               var input = document.getElementById('inputveinticinco');
               input.value = input.value.toLowerCase();
               if (input.value === '3') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[9] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[9] = false;
               }
               break;

           case 'inputveintiseis':
               var input = document.getElementById('inputveintiseis');
               input.value = input.value.toLowerCase();
               if (input.value === '2') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P2_3[10] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P2_3[10] = false;
               }
               break;
               //FIN PROBLEMAS 2   

               //PROBLEMAS  3
           case 'inputveintisiete':
               var input = document.getElementById('inputveintisiete');
               input.value = input.value.toLowerCase();
               if (input.value === 'maria' || input.value === 'maría') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_1[0] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_1[0] = false;
               }
               break;
           case 'inputveintiocho':
               var input = document.getElementById('inputveintiocho');
               input.value = input.value.toLowerCase();
               if (input.value === 'incognita' || input.value === 'incógnita') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_1[1] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_1[1] = false;
               }
               break;
           case 'inputventinueve':
               var input = document.getElementById('inputventinueve');
               input.value = input.value.toLowerCase();
               if (input.value === 'manzanas') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_1[2] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_1[2] = false;
               }
               break;

           case 'inputtreinta':
               var input = document.getElementById('inputtreinta');
               input.value = input.value.toLowerCase();
               if (input.value === 'm') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_1[3] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_1[3] = false;
               }
               break;

           case 'inputtreintauno':
               var input = document.getElementById('inputtreintauno');
               input.value = input.value.toLowerCase();
               if (input.value === '10') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_2[0] = true;
               } else {

                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_2[0] = false;
               }
               break;
           case 'inputtreintaidos':
               var input = document.getElementById('inputtreintaidos');
               input.value = input.value.toLowerCase();
               if (input.value === 'tercera') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_2[1] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_2[1] = false;
               }
               break;

           case 'inputtreintadtres':
               var input = document.getElementById('inputtreintadtres');
               input.value = input.value.toLowerCase();
               if (input.value === 'm') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_2[2] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_2[2] = false;
               }
               break;
               //FIN PROBLEMAS 2
               //INICIO PROBLEMAS 3
           case 'inputtreintaycuatro':
               var input = document.getElementById('inputtreintaycuatro');
               input.value = input.value.toLowerCase();
               if (input.value === '3') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[0] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[0] = false;
               }
               break;
           case 'inputtreintaycinco':
               var input = document.getElementById('inputtreintaycinco');
               input.value = input.value.toLowerCase();
               if (input.value === '10') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[1] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[1] = false;
               }
               break;
           case 'inputtreintayseis':
               var input = document.getElementById('inputtreintayseis');
               input.value = input.value.toLowerCase();
               if (input.value === '3') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[2] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[2] = false;
               }
               break;
           case 'inputtreintaysiete':
               var input = document.getElementById('inputtreintaysiete');
               input.value = input.value.toLowerCase();
               if (input.value === '0') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[3] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[3] = false;
               }
               break;
           case 'inputtreintayocho':
               var input = document.getElementById('inputtreintayocho');
               input.value = input.value.toLowerCase();
               if (input.value === '10') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[4] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[4] = false;
               }
               break;
           case 'inputtreintaynueve':
               var input = document.getElementById('inputtreintaynueve');
               input.value = input.value.toLowerCase();
               if (input.value === '0') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[5] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[5] = false;
               }
               break;

           case 'inputcuarenta':
               var input = document.getElementById('inputcuarenta');
               input.value = input.value.toLowerCase();
               if (input.value === '10') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[6] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[6] = false;
               }
               break;
           case 'inputcuarentaiuno':
               var input = document.getElementById('inputcuarentaiuno');
               input.value = input.value.toLowerCase();
               if (input.value === '3') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[7] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[7] = false;
               }
               break;
           case 'inputcuarentaidos':
               var input = document.getElementById('inputcuarentaidos');
               input.value = input.value.toLowerCase();
               if (input.value === '3') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[8] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[8] = false;
               }
               break;

           case 'inputcuarentaittres':
               var input = document.getElementById('inputcuarentaittres');
               input.value = input.value.toLowerCase();
               if (input.value === '3m') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[9] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[9] = false;
               }
               break;
           case 'inputcuarentaicuatro':
               var input = document.getElementById('inputcuarentaicuatro');
               input.value = input.value.toLowerCase();
               if (input.value === '3') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[10] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[10] = false;
               }
               break;

           case 'inputcuarentaicinco':
               var input = document.getElementById('inputcuarentaicinco');
               input.value = input.value.toLowerCase();
               if (input.value === '10') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[11] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[11] = false;
               }
               break;
           case 'inputcuarentaiseis':
               var input = document.getElementById('inputcuarentaiseis');
               input.value = input.value.toLowerCase();
               if (input.value === '2m') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[12] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[12] = false;
               }
               break;

           case 'inputcuarentaisiete':
               var input = document.getElementById('inputcuarentaisiete');
               input.value = input.value.toLowerCase();
               if (input.value === '2m') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[13] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[13] = false;
               }
               break;

           case 'inputcuarentaiocho':
               var input = document.getElementById('inputcuarentaiocho');
               input.value = input.value.toLowerCase();
               if (input.value === '30') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[14] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[14] = false;
               }
               break;

           case 'inputcuarentainueve':
               var input = document.getElementById('inputcuarentainueve');
               input.value = input.value.toLowerCase();
               if (input.value === '15') {
                   sg.sound('success-low'); $(input).css({ 'color': '#2FAC66'
                   });
                   P3_3[15] = true;
               } else {
                   sg.sound('error'); $(input).css({ 'color': '#E30613'
                   });
                   P3_3[15] = false;

               }
               break;

           }
       });

       function detenerSonidos() {
           var sonidos = sg.getSounds();
           $(sonidos).each(function (i, ele) {
               ele.pause();
               ele.currentTime = 0;

           });
       }

       function comprobarArray(array) {
           var estado = false;
           $(array).each(function (pos, elem) {
               if (elem === false) {
                   estado = false;
                   return false;
               } else {
                   estado = true;
               }
           });
           return estado;
       }

       //NOTA HACER UNA FUNCION POR CDA SOLUCION
       function solucion1() {
           var r1 = comprobarArray(P1_1);
           var r2 = comprobarArray(P1_2);
           var r3 = comprobarArray(P1_3);

           if (r1 != false && r2 != false && r3 != false) {
               //$('.btnCSol1').click();
               $('.btnSol1').click();
               sg.sound('success-low');
           } else {
               sg.sound('error');
           }
       }

       function solucion2() {
           var r4 = comprobarArray(P2_1);
           var r5 = comprobarArray(P2_2);
           var r6 = comprobarArray(P2_3);

           if (r4 != false && r5 != false && r6 != false) {
               //$('.btnCSol2').click();
               $('.btnSol2').click();
               sg.sound('success-low');

           } else {
               sg.sound('error');
           }
       }

       function solucion3() {
           var r7 = comprobarArray(P3_1);
           var r8 = comprobarArray(P3_2);
           var r9 = comprobarArray(P3_3);

           if (r7 != false && r8 != false && r9 != false) {
               $('.btnSol3').click();
               sg.sound('success-low');
           } else {
               sg.sound('error');
           }
       }

       $('.btnCallSol1').click(function () {
           //detenerSonidos();
           solucion1();

       });

       $('.btnCallSol2').click(function () {
           //detenerSonidos();
           solucion2();
           //sg.sound('error');
       });

       $('.btnCallSol3').click(function () {
           //detenerSonidos();
           solucion3();
           //sg.sound('error');
       });
   }